HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Delete Account Property

This allows you to delete a specific Account property using the corresponding Arcadia {accountId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete one account property by keyName using the Arcadia-generated accountId.

Use this endpoint when a property was added incorrectly or when you want to test a different calculation scenario. The property is identified by its keyName in the URL.

Resource URI

DELETE /rest/v1/accounts/{accountId}/properties/{keyName}

Path parameters

ParameterTypeDescription
accountIdStringArcadia UUID of the Account object. Required.
keyNameStringProperty key name to delete from the account. Required.

For the full account property data model, account property workflow, and detailed examples, see Account Properties API.

Example

DELETE /rest/v1/accounts/9a6035d8-94cd-4d66-8a94-eac573fec42e/properties/customerClass

A successful response returns status set to success. A success status is also returned if the property does not exist.

{
  "status": "success",
  "count": 0,
  "type": "PropertyData",
  "results": null
}
Path Params
string
required

This is the Arcadia UUID of the Account object.

string
required

The keyName value of the property you want to delete from the Account.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json